##### basic_random_access_file::basic_random_access_file (9 of 10 overloads)

Move-construct a `basic_random_access_file` from another.

    basic_random_access_file(
        basic_random_access_file && other);

This constructor moves a random-access file from one object to another.

###### Parameters

other

  The other `basic_random_access_file` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_random_access_file(const executor_type&)` constructor.